%define pkg htmlize
%define pkgname HTMLize

%if %($(pkg-config emacs) ; echo $?)
%define emacs_lispdir %{_datadir}/emacs/site-lisp
%define emacs_startdir %{_datadir}/emacs/site-lisp/site-start.d
%define emacs_version 22.2
%else
%define emacs_lispdir %(pkg-config emacs --variable sitepkglispdir)
%define emacs_startdir %(pkg-config emacs --variable sitestartdir)
%define emacs_version %(pkg-config emacs --modversion)
%endif

Summary:	Convert buffer text and decorations to HTML
Name:		emacs-%{pkg}
Version:	1.34
Release:	alt1_8
License:	GPLv2+
Group:		Publishing
URL:		http://www.emacswiki.org/emacs-en/Htmlize
Source0:	http://fly.srk.fer.hr/~hniksic/emacs/%{pkg}.el
Source1:	%{pkg}-init.el



BuildRequires:	emacs
BuildRequires:	emacs-el

BuildArch:	noarch
Source44: import.info

%description
%{pkgname} is an add-on package for GNU Emacs. It converts the buffer text and
the associated decorations to HTML. The conversion is quite sophisticated, it
understands non-ascii characters, looks up colours in the X11 RGB database,
and can generate either CSS or old style font bits.

%package el
Summary:	Emacs Lisp source files for %{name}
Group:		Development/C

Requires:	%{name} = %{version}-%{release}

%description el
This package contains Emacs Lisp source files for %{name} under
GNU Emacs. You do not need to install this package to run %{pkgname}.
Install the %{name} package to use %{pkgname} with GNU Emacs.

%prep
%setup -cT
cp -p %{SOURCE0} .

%build
emacs -batch -f batch-byte-compile ./%{pkg}.el

%install
mkdir -p $RPM_BUILD_ROOT%{emacs_lispdir}/%{pkg}
mkdir -p $RPM_BUILD_ROOT%{emacs_startdir}

install -p -m644 ./%{pkg}.el $RPM_BUILD_ROOT%{emacs_lispdir}/%{pkg}
install -p -m644 ./%{pkg}.elc $RPM_BUILD_ROOT%{emacs_lispdir}/%{pkg}
install -p -m644 %{SOURCE1} $RPM_BUILD_ROOT%{emacs_startdir}

%files
%dir %{emacs_lispdir}/%{pkg}
%{emacs_lispdir}/%{pkg}/%{pkg}.elc
%{emacs_startdir}/%{pkg}-init.el

%files el
%{emacs_lispdir}/%{pkg}/%{pkg}.el

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.34-alt1_8
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 1.34-alt1_7
- fc import

